Skip to main content
`Ctrl`+`K`

# PetscOptionsDestroy

Destroys an option database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsDestroy(PetscOptions *options)

Logically Collective on whatever communicator was associated with the call to `PetscOptionsCreate()`

## Input Parameter

- options - the `PetscOptions` object

## See Also

`PetscOptionsInsert()`, `PetscOptionsPush()`, `PetscOptionsPop()`, `PetscOptionsSetValue()`

## Level

advanced

## Location

src/sys/objects/options.c

## Examples

src/sys/tutorials/ex19.c
src/sys/tutorials/ex20.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages